[needs-packaging] Ricoh R5U87x Webcam userland tools

Bug #120434 reported by Jonathan Ernst on 2007-06-14
236
This bug affects 22 people
Affects Status Importance Assigned to Milestone
Ricoh R5U87x Userspace Tools
Medium
David Jurenka
Ubuntu
Wishlist
David Jurenka
Declined for Intrepid by Martin Pitt
Declined for Jaunty by Martin Pitt
Declined for Lucid by Brian Murray

Bug Description

The driver R5U870 is being replaced by a set of R5U87x userland tools that load the firmware for the uvcvideo supported webcams and make those work with the standard driver.

At this moment the WDM webcameras are only supported by the previous R5U870 module.

The webcams supported by the userland tools are marked as UVC by this list:

http://www.bitbucket.org/ahixon/r5u87x/src/881dbd07a263/docs/model_matrix.txt

Originally this bug report was intended to package the R5U870 module, but at this moment this wouldn't be the best path to follow, as the package really needed is the R5U87x userland tools available here:

http://www.bitbucket.org/ahixon/r5u87x/

For the people in need of the original module please go to the bug #219252
=========

Packages for r5u87x are now ready and available from a PPA at https://launchpad.net/~r5u87x-loader/+archive/ppa .
For installation simply run:
1. sudo add-apt-repository ppa:r5u87x-loader/ppa
2. sudo apt-get update
3. sudo apt-get install r5u87x
4. sudo /usr/share/r5u87x/r5u87x-download-firmware.sh

Diff Handy (ubuntu-verbena) wrote :

I can confirm this is a problem for my Sony VAIO. The README lists support for:

05ca:1810 HP Pavilion Webcam - UVC
05ca:1830 Sony Visual Communication Camera VGP-VCC2 (for VAIO SZ)
05ca:1832 Sony Visual Communication Camera VGP-VCC3 (for VAIO UX)
05ca:1833 Sony Visual Communication Camera VGP-VCC2 (for VAIO AR1)
05ca:1834 Sony Visual Communication Camera VGP-VCC2 (for VAIO AR2)
05ca:1835 Sony Visual Communication Camera VGP-VCC5 (for VAIO SZ)
05ca:1836 Sony Visual Communication Camera VGP-VCC4 (for VAIO FE)
05ca:1870 HP Pavilion Webcam / HP Webcam 1000

The module is an easy build against the current kernel headers (linux-headers-2.6.22-12-generic) but does contain firmware which "derived from usbsnoop/sniffusb tracing of various Windows drivers, including some named Mvc25u870.sys, 5U870CAP.sys, and R5U870FLx86.sys." which may create copyright issues.

Nathan Mann (mannunix) wrote :

Ditto here for the Sony VAIO VGN-SZ110.

Cam is a Ricoh, not supported by install, but works fine using r5u870 module. Also used in several HP laptops as well. Took me alot of searching and testing to find the correct module and load it myself, don't think the average user would have succeeded.

Michael Doube (michael-doube) wrote :

Same again for the Sony Vaio SZ650N, eventually found a patched version that worked but really the cam should be supported without me having to go and compile a driver.

Michael Doube (michael-doube) wrote :

The r5u870 driver is now being maintained here:
http://wiki.mediati.org/R5u870

Fabián Rodríguez (magicfab) wrote :

Licence is GPL2, although some (all ?) webcams require extracting firmware from Windows drivers.

There are "Debian / Ubuntu" source and binary packages:
http://wiki.mediati.org/R5u870/Packages

Possibly interesting for inclusing in restricted drivers.

Although I can triage this bug I can't do any packaging work about it. Someone would have to look at this page to see what needs to be done in order for this to be included in Ubuntu:
https://wiki.ubuntu.com/UbuntuDevelopment/NewPackages

I've changed the description and tag accordingly.

description: updated
Tim Penhey (thumper) wrote :

I have tested out the source from http://wiki.mediati.org/R5u870/Packages, and installed it on my Vaio SZ2XP which is running Kubuntu 7.10.

I got it working with skype and my Father on windows was able to see me, so it works.

description: updated

I build the current svn version of R5u870 using build files found at http://download.tuxfamily.org/arakhne/pool/ricoh-webcam-r5u870/.
Build for kernel 2.6.24-16-generic.

Works nice with my 05ca:183a build into a Sony Vaio SZ61WN.

Franck (alci) wrote :

Thanks to Patrick for the package.
I tested it under Hardy Heron with my Sony Vaio SZ4MN integrated webcam and can confirm it works very well.

Thomas Lété (bistory) wrote :

I've tested the package on Hardy Heron on my Vaio VGN-FZ11e and it doesn't work...
However, my webcam is "05ca:1837", it is supported by the driver... I don't understand...
I have just tested with Cheese but I think it's the most compatible program i've seen with webcams...

Michael Doube (michael-doube) wrote :

I've been having a bit of trouble with cheese lately on Hardy and a Vaio SZ650N, so to check that the driver is working independently I do this:

]$ gst-launch-0.10 v4l2src ! ffmpegcolorspace ! ximagesink

And I've started a bug which might be interesting: bug #221319

j'ai fait un packet deb du driver pour amd64

Franck (alci) wrote :

@bistory

Cheese neither works correctly with the driver here, but I think it's a problem with Cheese.

gstreamer-properties see the driver, ekiga also, ... so cheese might be broken, not the driver.

Thomas Lété (bistory) wrote :

Yes, it works but i've two images on a green background... Is it normal ? :P
(Tested with :
- gst-launch-0.10 v4l2src ! ffmpegcolorspace ! ximagesink
- gstreamer-properties )

je l'ai juste tester avec xawtv en utilisant l`option -nodga et avec amsn

-$ xawtv -nodga

car tous les autre logiciels ne fonctionne pas

je viens de tester avec gstreamer-properties et ça marche

il faut installer le packet linux-headers 2.6.24.16.18

je joins le fichier read.me du code source (voire le 1er paragraphe)

ma webcam et une ID 05ca:1810 Ricoh Co., Ltd

Peter Magnusson (kmpm) wrote :

This should be done for VAIO SZ71 as well.
I downloaded a deb of that module for hardy from
http://www.arakhne.org/spip.php?article50

and it works like a charm

KBios (kbios) wrote :

Merci cyprien didier, your package works perfectly.
Does someone know what they say at HQ about official inclusion?

Thomas Lété (bistory) wrote :

I confirm, it works perfectly with my VAIO FZ11E !

packet pour amd64 kernel 2.6.24-17-generic #1 SMP Thu May 1 13:57:17 UTC 2008 x86_64 GNU/Linux
pour webcam r5u870

ma2412ma (ma2412ma) wrote :

Since there is already someone building packages, can't this be officially integrated into Hardy (restricted or something)? http://download.tuxfamily.org/arakhne/pool/ricoh-webcam-r5u870/
Has anyone asked this guy if he would do it? Would it be OK for Ubuntu to integrate this driver?

+1 Vote - I have a HP Pavilion DV6000 and this should be included.

http://www.arakhne.org/spip.php?article51

Thomas Lété (bistory) wrote :

I've build a package for 2.6.24-18 kernel because I miss it.
I share it to you :)
It is build from the latest build from http://wiki.mediati.org/R5u870

Brian Murray (brian-murray) wrote :

In it's current incarnation this is not really packagable due to the firmware. The package would need to be significantly different than the original software and download the firmware from a central location or use firmware from a separate multiverse package we could then include this in Ubuntu.

packet pour kernel 2.6.24-19-generic #1 SMP Wed Jun 4 15:10:52 UTC 2008 x86_64 GNU/Linux

Alexander Hixon (ahixon) wrote :

Brian, the code already supports packaging both the firmware and the actual kernel module separately, provided the firmware ends up in the correct path (generally /lib/firmware) since we're using request_firmware().

Note that it'll just error when loading the module saying the firmware isn't on-disk and point the user to a page on the wiki saying they need to get the microcode.

I imagine the firmware could be uploaded to -restricted or something, while the actual module could be included elsewhere.

Thanks bistory for packaging the 0.11.1 release. :)

Pihhan (pihhan) wrote :

See also this: https://launchpad.net/~intuitivenipple/+archive?field.name_filter=r5u870&field.status_filter=published

there are some packages from TJ from repository directly

wvengen (wvengen) wrote :

Packagers: make sure it is known to hal too so it works with cheese for example.
http://ubuntuforums.org/showthread.php?t=706530

I have a vaio FZ18M with a device from the same family:
lsusb:
...
Bus 006 Device 002: ID 05ca:1837 Ricoh Co., Ltd
...
The driver works fine In Hardy - at least with skype. will it be packaged in Intrepid?

Franck (alci) wrote :

Not sure... I have just tried TJ package (r5u870-dkms_0.11.1-0ubuntu1~ppa2i_all.deb) in DKMS format, and it fails to build on latest intrepid (at least on two of my machines).

Attached is the /var/lib/dkms/r5u870/0.11.1/build/make.log.

Also, http://wiki.mediati.org/R5u870 says "Note: r5u870 is currently broken on 2.6.26+ kernels!", and svn seems to be unreachable :(
Userspace _alpha_ driver is out of reach also...

mc24x (m-czerwinska) wrote :

Hallo,
Could you please decribe me how did you install this package(I'm still not really familiar with such procedures)
Thank you in advance
mc

JGJones (jgjones) wrote :

Ubuntu 8.10 - sadly, the R5U870 will not work on this as stated on the official site at http://wiki.mediati.org/R5u870 it does state in large wording that r5u870 is currently broken on 2.6.26+ kernels!

However it does mention one could try the userspace driver instead which you can find here:

http://www.bitbucket.org/ahixon/r5u87x/wiki/Home

I've used this and the good news is that it works on Ubuntu 8.10, but it isn't quite 100% perfect - ie in Cheese, seeing a 640x480 video, it's just fine. But using something else such as Skype or Flash (which use 320x240 video resolution) - yu get a cropped picture, that's not quite right (I see a mirror effect - ie two of myself).

If however you are happy with being limited to just 640x480 video or know of a way to fix for lower resolution...here's how to get it:

Packages - the site mention packages and Ubuntu is mentioned, but there's no packages available so you'll have to install from source however this is simple:

1. install what's needed:
 $ sudo apt-get install mercurial build-essential libusb-dev libglib2.0-dev

2. Fetch source:
 $ hg clone http://bitbucket.org/ahixon/r5u87x/

3. Change into r5u87x directory
 $ cd r5u87x

4. Compile
 $ make

5. It's very short and then you'll need to load driver so do this next
 $ sudo ./loader

If your camera is detected and supported you'll get something like this next:

Searching for device...
Found camera : 05ca:183a
Firmware : ucode/r5u87x-05ca-183a.fw

Camera reports positive microcode state.
Camera reports microcode version 0x0111.
Not doing anything - camera already setup.

Successfully uploaded firmware to device 05ca:183a!

(in my case, it doesn't do anything as my camera is already setup, I've already done the loader bit)

6. Next you'll need your system to be aware of this change so you need to re-modprobe uvcvideo so do this:
 $ sudo modprobe -r uvcvideo
 $ sudo modprobe uvcvideo

Now fire up Cheese (if you don't have it - sudo apt-get install cheese) and enjoy watching yourself.

Alexander Hixon (ahixon) wrote :

If somebody would like to package up the loader tool and integrate that, I think that'd be ideal. The only thing that would need to be done apart from packaging is to create a udev rule that runs the loader (and possibly tells uvcvideo to reload; or, even better, gets the USB device to re-enumerate itself).

Do note that this won't actually work for people with non-UVC cameras for the time being.
There's a list of affected models here: http://bitbucket.org/ahixon/r5u87x/src/tip/docs/model_matrix.txt

JGJones: The resolution issue is being worked on upstream; Laurent, a user and myself and going to try and investigate this. The issue relates to how uvcvideo and the camera handle resolution changes. Apparently, the camera likes to give out 640x480 even though the application (Skype, for instance) might request 320x240. There is a workaround for Skype, but there are other applications where there is none.

Wiplash4 (ranjeet-kuruvilla) wrote :

Hello
Some of those links are dead. is it not possible to make them work out of the box?

Andres Mujica (andres.mujica) wrote :

Hi, there's a repo with a DKMS package for this module, it's maintained by TJ so you can give it a try.

PLEASE BE SURE TO READ THE INSTRUCTIONS CAREFULLY AND DISABLE THE REPO AFTER INSTALLING THE PACKAGE

TJ's comment with instructions for enabling PPA repo

http://ubuntuforums.org/showpost.php?p=5705645&postcount=13

TJ's PPA
https://edge.launchpad.net/~intuitivenipple/+archive

TJ's VAIO efforts:
http://ubuntuforums.org/showthread.php?t=465491

Needs Packaging Bug
https://bugs.edge.launchpad.net/ubuntu/+bug/120434

Hi think the dkms package won't work with recent versions of the kernel
(Intrepid). The development seems to have moved to a user space driver,
so it would be nice if we could package it...
I don't know how to do it, I think one have to play with udev and such
to trigger driver loading...

Franck

Le dimanche 07 décembre 2008 à 00:05 +0000, Andres Mujica a écrit :
> Hi, there's a repo with a DKMS package for this module, it's maintained
> by TJ so you can give it a try.
>
> PLEASE BE SURE TO READ THE INSTRUCTIONS CAREFULLY AND DISABLE THE REPO
> AFTER INSTALLING THE PACKAGE
>
> TJ's comment with instructions for enabling PPA repo
>
> http://ubuntuforums.org/showpost.php?p=5705645&postcount=13
>
> TJ's PPA
> https://edge.launchpad.net/~intuitivenipple/+archive
>
> TJ's VAIO efforts:
> http://ubuntuforums.org/showthread.php?t=465491
>
> Needs Packaging Bug
> https://bugs.edge.launchpad.net/ubuntu/+bug/120434
>

I have an initial package of the userspace loader working with udev. Still testing though to get it working properly on bootup and resume. You'll hear from me if I find the time.

Ozzyprv (ozzyprv) wrote :

Add one comment, working here on a HP dv9005ca
Ubuntu 8.10

from lsusb
Bus 002 Device 002: ID 05ca:1810 Ricoh Co., Ltd

lsmod | grep videodev
videodev 41344 1 uvcvideo
v4l1_compat 22404 2 uvcvideo,videodev

Andres Mujica (andres.mujica) wrote :

Hi all, can the reporters check what Ozzyprv has just reported? Probably only applies to a small subset of Ricoh webcams thou.

Alexander Hixon (ahixon) wrote :

wvengen: do you think you could pastebin the udev script you're using?

Andres Mujica (andres.mujica) wrote :

@wvengen thanks for your report, as this bug now is intended to package those userland tools, it would be great if you can attach or publish via PPA the package that you've made.

Thanks a lot for your help

description: updated
Changed in ubuntu:
status: Confirmed → Fix Committed
Tim Penhey (thumper) on 2009-04-21
Changed in ubuntu:
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Martin Pitt (pitti) on 2009-04-22
Changed in ubuntu:
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody
status: Fix Committed → Triaged
Changed in ricoh-r5u87x:
assignee: nobody → Michael Lustfield (mtecknology)
importance: Undecided → Medium
status: New → In Progress
Changed in ricoh-r5u87x:
status: In Progress → Triaged
35 comments hidden view all 115 comments

I installed the package for ubuntu and everything worked ok, but skype and
cheese do not find the webcam.

Best

2009/12/8 Michael Lustfield <email address hidden>

> I created the packages for this. Could you please try to download them from
> the PPA and see how they work for you.
> https://launchpad.net/~ricoh-r5u87x-devs/+archive/ppa<https://launchpad.net/%7Ericoh-r5u87x-devs/+archive/ppa>
>
> Keep in mind that I did now write this source code and only packaged it.
> This was the first package I ever created so it could be wrong. I'm sure
> before including this in the Universe i should also be equipped with a
> man page and a more appropriate name.
>
> Feedback welcome.
>
> ** Changed in: ricoh-r5u87x
> Status: In Progress => Triaged
>
> --
> [needs-packaging] Ricoh R5U87x Webcam userland tools
> https://bugs.launchpad.net/bugs/120434
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ricoh R5U87x: Triaged
> Status in Ubuntu: Triaged
>
> Bug description:
> The driver R5U870 is being replaced by a set of R5U87x userland tools that
> load the firmware for the uvcvideo supported webcams and make those work
> with the standard driver.
>
> At this moment the WDM webcameras are only supported by the previous R5U870
> module.
>
> The webcams supported by the userland tools are marked as UVC by this list:
>
>
> http://www.bitbucket.org/ahixon/r5u87x/src/881dbd07a263/docs/model_matrix.txt
>
> Originally this bug report was intended to package the R5U870 module, but
> at this moment this wouldn't be the best path to follow, as the package
> really needed is the R5U87x userland tools available here:
>
> http://www.bitbucket.org/ahixon/r5u87x/
>
> For the people in need of the original module please go to the bug #219252
>
> This driver is used in Sony Vaio laptops integrated webcams, among others.
>
> Ubuntu should load this driver whenever the supported devices are present
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ricoh-r5u87x/+bug/120434/+subscribe
>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

For my own system I:
Added the repository
sudo aptitude update
sudo aptitude install ricoh-r5u87x cheese
sudo r5u87x-loader
reboot
cheese

Everything seemed to work fine. It seems that after running
r5u87x-loader a reboot is necessary for the changes to matter.

I intend to write a man page before trying to get this included into
the universe. Once I have all the input I'll go after this.

On Tue, 08 Dec 2009 22:13:36 -0000
Francus <email address hidden> wrote:

> I installed the package for ubuntu and everything worked ok, but skype and
> cheese do not find the webcam.
>
> Best
>
> 2009/12/8 Michael Lustfield <email address hidden>
>
> > I created the packages for this. Could you please try to download them from
> > the PPA and see how they work for you.
> > https://launchpad.net/~ricoh-r5u87x-devs/+archive/ppa<https://launchpad.net/%7Ericoh-r5u87x-devs/+archive/ppa>
> >
> > Keep in mind that I did now write this source code and only packaged it.
> > This was the first package I ever created so it could be wrong. I'm sure
> > before including this in the Universe i should also be equipped with a
> > man page and a more appropriate name.
> >
> > Feedback welcome.
> >
> > ** Changed in: ricoh-r5u87x
> > Status: In Progress => Triaged
> >
> > --
> > [needs-packaging] Ricoh R5U87x Webcam userland tools
> > https://bugs.launchpad.net/bugs/120434
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in Ricoh R5U87x: Triaged
> > Status in Ubuntu: Triaged
> >
> > Bug description:
> > The driver R5U870 is being replaced by a set of R5U87x userland tools that
> > load the firmware for the uvcvideo supported webcams and make those work
> > with the standard driver.
> >
> > At this moment the WDM webcameras are only supported by the previous R5U870
> > module.
> >
> > The webcams supported by the userland tools are marked as UVC by this list:
> >
> >
> > http://www.bitbucket.org/ahixon/r5u87x/src/881dbd07a263/docs/model_matrix.txt
> >
> > Originally this bug report was intended to package the R5U870 module, but
> > at this moment this wouldn't be the best path to follow, as the package
> > really needed is the R5U87x userland tools available here:
> >
> > http://www.bitbucket.org/ahixon/r5u87x/
> >
> > For the people in need of the original module please go to the bug #219252
> >
> > This driver is used in Sony Vaio laptops integrated webcams, among others.
> >
> > Ubuntu should load this driver whenever the supported devices are present
> >
> > To unsubscribe from this bug, go to:
> > https://bugs.launchpad.net/ricoh-r5u87x/+bug/120434/+subscribe
> >
>

- --
Michael Lustfield
Kalliki Software

Network and Systems Administrator
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkse7PMACgkQ3y7Nst6YLGW7jACfbFFyObRxxauQ0AD2t5iKW2TI
5qkAnRmBq36lnKcJYT6L88gW/HTyBn29
=VtWR
-----END PGP SIGNATURE-----

Alexander Hixon (ahixon) wrote :

Hi Micheal,

Nice work with the packaging! :)
Some comments:

> sudo r5u87x-loader
> reboot
> cheese

Rebooting is not necessary.
If you read README, you will note that it's suggested you run it as r5u87x-loader --reload instead.

I should probably also note two other things:

r5u87x has already been packaged before, so you can always want to have a peek at the existing dscs and stuff. You might be able to contact wvengen to see if he still has them (see earlier in this bug report).

Secondly, and most importantly; we do not have copyright on the firmware. This means it is impossible to redistribute this legally (comment #66) without permission (including in the PPA). As such you won't be able to include this in universe, from my understanding. Multiverse perhaps. Even then, we would also need some mechanism for users to know that they need package xyz from multiverse. What would you (or any Canonical folk) suggest?

There are two options re firmware:
a) re-implement the firmware from scratch - can be done, in fact, we've successfully decompiled the microcode to assembler. It'd be probably insanely time consuming to redo it all, though.
b) see if there's anything in the click-through EULA's provided with the drivers that allow us to redistribute it.
c) get permission from the copyright owner(s) - AFAIK this is Ricoh, except several people (including myself) have attempted to get in contact with them and failed. Sales has never contacted me, ever, even after being assured they would. If somebody in the right timezone is willing to give them a ring...
d) create a tool that extracts the firmware from Windows firmware files, however this is probably the least ideal solution. There is code that assists in this process, however it's not quite automated at the moment.

Ideally, I'd still be like to be able to include something based off the old r5u870 module in the kernel based on gspca. However, I really just don't have the time that I'd like to be able to develop something like this. If someone is feeling adventurous, a free beer is up for grabs. :) This would also mean we can support WDM based cameras, too - which is a limitation with the current approach; we only work with UVC-based cameras (and then again, not completely correctly, either - controls are not accurately recognised - yay non standards).

Cheers,
Alex Hixon

Download full text (3.2 KiB)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

:(

I thought the GPLv2 License in the source code your wrote meant that
there wasn't an issue with doing this. If I had the knowledge to
decompile the microcode I'd go for that approach. Heck, if you can get
me started I'd try..

There are some packages that require the user to agree to install
software that is is closed source. Like sun-java6-bin which as you
mentioned is in multiverse instead.

On Wed, 09 Dec 2009 07:44:48 -0000
Alexander Hixon <email address hidden> wrote:

> Hi Micheal,
>
> Nice work with the packaging! :)
> Some comments:
>
> > sudo r5u87x-loader
> > reboot
> > cheese
>
> Rebooting is not necessary.
> If you read README, you will note that it's suggested you run it as r5u87x-loader --reload instead.
>
> I should probably also note two other things:
>
> r5u87x has already been packaged before, so you can always want to have
> a peek at the existing dscs and stuff. You might be able to contact
> wvengen to see if he still has them (see earlier in this bug report).
>
> Secondly, and most importantly; we do not have copyright on the
> firmware. This means it is impossible to redistribute this legally
> (comment #66) without permission (including in the PPA). As such you
> won't be able to include this in universe, from my understanding.
> Multiverse perhaps. Even then, we would also need some mechanism for
> users to know that they need package xyz from multiverse. What would you
> (or any Canonical folk) suggest?
>
> There are two options re firmware:
> a) re-implement the firmware from scratch - can be done, in fact, we've successfully decompiled the microcode to assembler. It'd be probably insanely time consuming to redo it all, though.
> b) see if there's anything in the click-through EULA's provided with the drivers that allow us to redistribute it.
> c) get permission from the copyright owner(s) - AFAIK this is Ricoh, except several people (including myself) have attempted to get in contact with them and failed. Sales has never contacted me, ever, even after being assured they would. If somebody in the right timezone is willing to give them a ring...
> d) create a tool that extracts the firmware from Windows firmware files, however this is probably the least ideal solution. There is code that assists in this process, however it's not quite automated at the moment.
>
> Ideally, I'd still be like to be able to include something based off the
> old r5u870 module in the kernel based on gspca. However, I really just
> don't have the time that I'd like to be able to develop something like
> this. If someone is feeling adventurous, a free beer is up for grabs. :)
> This would also mean we can support WDM based cameras, too - which is a
> limitation with the current approach; we only work with UVC-based
> cameras (and then again, not completely correctly, either - controls are
> not accurately recognised - yay non standards).
>
> Cheers,
> Alex Hixon
>

- --
Michael Lustfield
Kalliki Software

Network and Systems Administrator
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAA...

Read more...

@Michael and others - several other bits of code / firmware where the license is unclear are included in Ubuntu, but at least in some of those cases, the issue is solved by Ubuntu not hosting the actual, "dubious" elements. Take a look at how for example libdvdread4 fetches bits & bobs from non-Canonical servers & try to replicate this behaviour?

Reference: https://help.ubuntu.com/community/RestrictedFormats/PlayingDVDs

Download full text (4.6 KiB)

Hi,

the package is still not working for me even after reboot.

Best

Francesco

2009/12/9 Michael Lustfield <email address hidden>

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> For my own system I:
> Added the repository
> sudo aptitude update
> sudo aptitude install ricoh-r5u87x cheese
> sudo r5u87x-loader
> reboot
> cheese
>
> Everything seemed to work fine. It seems that after running
> r5u87x-loader a reboot is necessary for the changes to matter.
>
> I intend to write a man page before trying to get this included into
> the universe. Once I have all the input I'll go after this.
>
> On Tue, 08 Dec 2009 22:13:36 -0000
> Francus <email address hidden> wrote:
>
> > I installed the package for ubuntu and everything worked ok, but skype
> and
> > cheese do not find the webcam.
> >
> > Best
> >
> > 2009/12/8 Michael Lustfield <email address hidden>
> >
> > > I created the packages for this. Could you please try to download them
> from
> > > the PPA and see how they work for you.
> > > https://launchpad.net/~ricoh-r5u87x-devs/+archive/ppa<https://launchpad.net/%7Ericoh-r5u87x-devs/+archive/ppa>
> <https://launchpad.net/%7Ericoh-r5u87x-devs/+archive/ppa>
> > >
> > > Keep in mind that I did now write this source code and only packaged
> it.
> > > This was the first package I ever created so it could be wrong. I'm
> sure
> > > before including this in the Universe i should also be equipped with a
> > > man page and a more appropriate name.
> > >
> > > Feedback welcome.
> > >
> > > ** Changed in: ricoh-r5u87x
> > > Status: In Progress => Triaged
> > >
> > > --
> > > [needs-packaging] Ricoh R5U87x Webcam userland tools
> > > https://bugs.launchpad.net/bugs/120434
> > > You received this bug notification because you are a direct subscriber
> > > of the bug.
> > >
> > > Status in Ricoh R5U87x: Triaged
> > > Status in Ubuntu: Triaged
> > >
> > > Bug description:
> > > The driver R5U870 is being replaced by a set of R5U87x userland tools
> that
> > > load the firmware for the uvcvideo supported webcams and make those
> work
> > > with the standard driver.
> > >
> > > At this moment the WDM webcameras are only supported by the previous
> R5U870
> > > module.
> > >
> > > The webcams supported by the userland tools are marked as UVC by this
> list:
> > >
> > >
> > >
> http://www.bitbucket.org/ahixon/r5u87x/src/881dbd07a263/docs/model_matrix.txt
> > >
> > > Originally this bug report was intended to package the R5U870 module,
> but
> > > at this moment this wouldn't be the best path to follow, as the package
> > > really needed is the R5U87x userland tools available here:
> > >
> > > http://www.bitbucket.org/ahixon/r5u87x/
> > >
> > > For the people in need of the original module please go to the bug
> #219252
> > >
> > > This driver is used in Sony Vaio laptops integrated webcams, among
> others.
> > >
> > > Ubuntu should load this driver whenever the supported devices are
> present
> > >
> > > To unsubscribe from this bug, go to:
> > > https://bugs.launchpad.net/ricoh-r5u87x/+bug/120434/+subscribe
> > >
> >
>
>
> - --
> Michael Lustfield
> Kalliki Software
>
> Network and Systems Administrator
> -----BEGIN PGP SIGNATURE-----
> Version...

Read more...

David Jurenka (jurenka) wrote :

I have created a PPA with r5u87x-loader but without any non-free pieces. The firmware with unclear copyright and license status has been removed as is not part of the binary or even the source packages. On the other hand, a new shell script is now included that can download and install all the necessary firmware directly from the upstream repository. Upon execution the script explains what it is going to do and asks the user for confirmation. I hope this a clean enough solution.
Packages for Intrepid, Jaunty, Karmic and Lucid are available.

https://launchpad.net/~r5u87x-loader/+archive/ppa

As explained above, the installation now breaks into two steps:
sudo apt-get install r5u87x-loader
sudo /usr/share/r5u87x-loader/r5u87x-download-firmware.sh

Michael Doube (michael-doube) wrote :

David

This package and included script downloads and works for me. Would be nice to have it included in time for Lucid.

Uhhh I wish this package eventually finds its way into the repository... I REALLY have no stomach left for manually compiling packages and sorting out compile errors one by one (the reason why I could not realize the ideal desktop dream with Debian)

But indeed... David's PPA is phenomenal!!! Many thanks... This one fixed it for me after a plethora of trials and tribulations from all over! Now to just nurture the fantasy that this finds its way into the Lynx.

Changed in ricoh-r5u87x:
assignee: Michael Lustfield (mtecknology) → David Jurenka (jurenka)
Changed in ubuntu:
assignee: nobody → David Jurenka (jurenka)

I wish the info in ubuntu forum were also for the common human-user-being.
Funny: upon boot at power-on, cheese (or skype) will not find the cam;
however, after reboot, it does. It beats me why...

manzdagratiano wrote:
> Uhhh I wish this package eventually finds its way into the repository...
> I REALLY have no stomach left for manually compiling packages and
> sorting out compile errors one by one (the reason why I could not
> realize the ideal desktop dream with Debian)
>
>

--
Prof. Israel Vainsencher
ICEX-Departamento de Matemática-UFMG
C.P. 702 Belo Horizonte 30161-970 MG
31-3409-5972; www.mat.ufmg.br/~israel
"O Google é meu pastor e nada me faltará"

#16 above works perfectly for Sony Vaio SZ670N (installed the 2 .deb files)
$ lsusb |grep Ricoh Bus 001 Device 003: ID 05ca:183a Ricoh Co., Ltd Visual Communication Camera VGP-VCC7 [R5U870]
Of course I had to install build-essential, linux-headers-generic for it to work.
Thanks!

Michael Doube (michael-doube) wrote :

Testing today's Lucid ISO image in a live session and find that my webcam 'just works': this is in a Vaio SZ650 that previously needed r5u870.

Michael Doube (michael-doube) wrote :

David pointed out to me that the firmware / microcode stays in the camera over a ´warm´ restart, so that is why it looked like my webcam worked in Lucid. r5u87x is still needed in Lucid.

GeorgeV (stardreamer-26) wrote :

I have created a PPA, and used those commands:
sudo apt-get install r5u87x-loader
sudo /usr/share/r5u87x-loader/r5u87x-download-firmware.sh

I though, i found the solution, because my camera worded fine, but when i turned off my pc, and opened it the other day, my camera didn't work. So i did the same steps again. My camera worded again, but as soon as i turned off, and opened my pc the other day, i had the same problem. it's like an infinity loop. what can i do?

David Jurenka (jurenka) wrote :

First, please note that I renamed r5u87x-loader to r5u87x, and the old packages might be obsolete already. Hence, run

sudo apt-get remove r5u87x-loader

sudo apt-get install r5u87x

sudo /usr/share/r5u87x/r5u87x-download-firmware.sh

If the problem persists, I would need:

1) output of command “lsusb”;

2) output of command “sudo r5u87x-loader --reload”, executed while the camera doesn't work;

3) output of command “sudo r5u87x-loader --reload”, executed while the camera works fine;

4) what version of Ubuntu you are running.

GeorgeV (stardreamer-26) wrote :

Just for now, it's working fine.The strange thing is that, if i turn off my pc now, and open it again, camera still works fine. So I'll tell you tomorrow, if the problem remains. Thnk you for the quick respond and for your time. if i encounter any problem, i'll tell you right away.

GeorgeV (stardreamer-26) wrote :

The problem remain. Here is the outputs of your commands you want:

1)
Bus 001 Device 002: ID 05ca:1839 Ricoh Co., Ltd Visual Communication Camera VGP-VCC6 [R5U870]
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 002: ID 045e:007d Microsoft Corp. Notebook Optical Mouse
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 002: ID 0483:2016 SGS Thomson Microelectronics Fingerprint Reader
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 004: ID 054c:0281 Sony Corp.
Bus 002 Device 002: ID 0d49:7450 Maxtor
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

2)
r5u87x firmware loader v0.2

Searching for device...
Found camera: 05ca:1839
Camera reports positive microcode state.
Camera reports microcode version 0x0030.
Not doing anything - camera already setup.

Successfully uploaded firmware to device 05ca:1839!
Reloading uvcvideo module...
Finished.

3)
r5u87x firmware loader v0.2

Searching for device...
Found camera: 05ca:1839
Camera reports positive microcode state.
Camera reports microcode version 0x0030.
Not doing anything - camera already setup.

Successfully uploaded firmware to device 05ca:1839!
Reloading uvcvideo module...
Finished.

4)
Karmic Koala 9.10

Alexander Hixon (ahixon) wrote :

Pretty sure the issue you're seeing is because of a udev attribute we use to detect the camera has now been depreciated, so it doesn't check it at boot anymore.

David Jurenka sent me a patch a while back, but I had an enormous inbox at the time and forgot to look at it properly (sorry David!).
I'll probably commit it tomorrow morning; hopefully that'll fix the issue.

GeorgeV (stardreamer-26) wrote :

οοh thank you, and i hope to fix this problem.

Alexander Hixon (ahixon) wrote :

Commited to head.
If you can give that a go and report back (either here or open a bug on the bitbucket repository and set me as the owner/assigned), that'd be great!

You'll need to check out r5u87x out from the repository and build it (a good 6 steps, check out the Ubuntu quickstart at http://www.bitbucket.org/ahixon/r5u87x/src/tip/README ), or wait for David to generate new versions of the packages.

David Jurenka (jurenka) wrote :

Thanks for the commit, Alex! The latest code has just been added to the PPA. However, the packages have had this patch applied since February, so the problem is probably somewhere else. Moreover, the output that GeorgeV posted suggests that the firmware actually is in the camera whilst it's not working. Perhaps the cause might be the uvcvideo kernel module being unloaded.

GeorgeV, does running “sudo modprobe uvcvideo” fix the issue for you?

Alexander Hixon (ahixon) wrote :

Yeah, sounds like the module isn't getting inserted into the kernel again, which is, well, very odd by itself, heh.
However, the loader reports an error if it gets a non-zero return code when it reloads uvcvideo, so if it failed or didn't exist it would bail. We shall soon see, I guess.

GeorgeV, the output of lsmod and what /dev/video nodes you have (if any) would probably also be useful.

GeorgeV (stardreamer-26) wrote :

i tried "sudo modprobe uvcvideo" but nothing happed. Still i have the issue.
lsmod:
Module Size Used by
binfmt_misc 8356 1
ppdev 6688 0
joydev 10240 0
uvcvideo 59080 0
videodev 36736 1 uvcvideo
v4l1_compat 14336 2 uvcvideo,videodev
snd_hda_codec_realtek 203328 1
pcmcia 36808 0
snd_hda_intel 26920 2
snd_hda_codec 75708 2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep 7200 1 snd_hda_codec
snd_pcm_oss 37920 0
snd_mixer_oss 16028 1 snd_pcm_oss
snd_pcm 75296 3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
arc4 1660 2
ecb 2524 2
snd_seq_dummy 2656 0
snd_seq_oss 28576 0
iptable_filter 3100 0
iwlagn 109084 0
iwlcore 112796 1 iwlagn
led_class 4096 1 iwlcore
mac80211 181140 2 iwlagn,iwlcore
snd_seq_midi 6464 0
snd_rawmidi 22176 1 snd_seq_midi
snd_seq_midi_event 6940 2 snd_seq_oss,snd_seq_midi
ip_tables 11692 1 iptable_filter
snd_seq 50224 6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer 22276 2 snd_pcm,snd_seq
x_tables 16544 1 ip_tables
tifm_7xx1 5372 0
snd_seq_device 6920 5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
psmouse 57332 0
serio_raw 5280 0
tifm_core 7832 1 tifm_7xx1
yenta_socket 24296 1
rsrc_nonstatic 11644 1 yenta_socket
pcmcia_core 36592 3 pcmcia,yenta_socket,rsrc_nonstatic
cfg80211 93052 3 iwlagn,iwlcore,mac80211
snd 59204 16 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
soundcore 7264 1 snd
snd_page_alloc 9156 2 snd_hda_intel,snd_pcm
sony_laptop 31972 0
lp 8964 0
parport 35340 2 ppdev,lp
usbhid 38208 0
fbcon 36640 72
tileblit 2460 1 fbcon
font 8124 1 fbcon
bitblit 5372 1 fbcon
softcursor 1756 1 bitblit
usb_storage 52768 1
ohci1394 29900 0
ieee1394 86596 1 ohci1394
r8169 32064 0
mii 5212 1 r8169
i915 226120 3
drm 160032 3 i915
i2c_algo_bit 5760 1 i915
video 19380 1 i915
output 2780 1 video
intel_agp 27676 2 i915
agpgart 34988 2 drm,intel_agp

and i haven't any /dev/video nodes.

GeorgeV (stardreamer-26) wrote :

any ideas?

Xavi Ivars (xavi-ivars) wrote :

David, I installed the ppa and the package, and now my webcam works! I've got a vaio FE41S, with a webcam 05ca:1836 (VCC4), and it didn't work previously with Lucid, and now it does. Thanks!

on my vaio tgz..., the webcam consistently works ONLY after reboot,
never upon powering on.
this is so since 8.04, thru recently installed 10.04:-(
any ideas?

On Wed, May 26, 2010 at 5:16 AM, Xavi Ivars <email address hidden> wrote:
> David, I installed the ppa and the package, and now my webcam works!
> I've got a vaio FE41S, with a webcam 05ca:1836 (VCC4), and it didn't
> work previously with Lucid, and now it does. Thanks!
>
> --
> [needs-packaging] Ricoh R5U87x Webcam userland tools
> https://bugs.launchpad.net/bugs/120434
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ricoh R5U87x: Triaged
> Status in Ubuntu: Triaged
>
> Bug description:
> The driver R5U870 is being replaced by a set of R5U87x userland tools that load the firmware for the uvcvideo supported webcams and make those work with  the standard driver.
>
> At this moment the WDM webcameras are only supported by the previous R5U870 module.
>
> The webcams supported by the userland tools are marked as UVC by this list:
>
> http://www.bitbucket.org/ahixon/r5u87x/src/881dbd07a263/docs/model_matrix.txt
>
> Originally this bug report was intended to package the R5U870 module, but at this moment this wouldn't be the best path to follow, as the package really needed is the R5U87x userland tools available here:
>
> http://www.bitbucket.org/ahixon/r5u87x/
>
> For the people in need of the original module please go to the bug #219252
>
> This driver is used in Sony Vaio laptops integrated webcams, among others.
>
> Ubuntu should load this driver whenever the supported devices are present
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ricoh-r5u87x/+bug/120434/+subscribe
>

--
Prof. Israel Vainsencher
ICEX-Departamento de Matemática-UFMG
C.P. 702 Belo Horizonte 30123-970 MG
31-3409-5972; www.mat.ufmg.br/~israel
"O Google é o meu pastor e nada me faltará"

on my vaio tgz..., the webcam consistently works ONLY after reboot,
but never immediately upon powering on.
this is so since 8.04, thru recently installed 10.04:-(
any ideas?

David Jurenka (jurenka) on 2010-05-27
description: updated
ahoms (alberthoms-gmail) wrote :

Worked perfectly with my webcam. The computer is vaio vgn-fe41m and OS is ubuntu 10.04 64bits

Konundrum (eamon50) wrote :

Just wanted to add THANK YOU!!! This worked great for me. I had been building from source for over a year and this is a huge timesaver. Would love to see it in the main repos though.
FYI, my system is: Sony VAIO VGN-CR120E running Ubuntu Lucid Lynx 2.6.32-24-generic-pae Kernel

David Jurenka (jurenka) on 2010-12-27
Changed in ricoh-r5u87x:
status: Triaged → In Progress
Changed in ubuntu:
status: Triaged → In Progress
Mark Wilmoth (mark-wilmoth) wrote :

Sony VGN-AR590E, Ubuntu 10.10 w/current updates.

Bus 001 Device 002: ID 05ca:1839 Ricoh Co., Ltd Visual Communication Camera VGP-VCC6 [R5U870]

1. sudo add-apt-repository ppa:r5u87x-loader/ppa
2. sudo apt-get update
3. sudo apt-get install r5u87x
4. sudo /usr/share/r5u87x/r5u87x-download-firmware.sh

Works, but does not work after coming out of hibernation.

Mark Wilmoth (mark-wilmoth) wrote :

Well I learned something new.

Creating a script that executes after hibernates resumes (thaw) can be done like this:

sudo touch /etc/pm/sleep.d/99_r5u87x-reload
sudo chmod +x /etc/pm/sleep.d/99_r5u87x-reload
sudo nano /etc/pm/sleep.d/99_r5u87x-reload

Add everything between the dashed lines to file 99_r5u87x-reload

----------------------------------------------------------------

#!/bin/sh
case "$1" in
    hibernate|suspend)
        # do nothing
        ;;
    thaw) #thaw|resume)
        /usr/sbin/r5u87x-loader --reload 2>/dev/null
        ;;
    *)
        ;;
esac
exit $?

---------------------------------------------------------------

Save and enjoy video after a thaw.

David Jurenka (jurenka) wrote :

Thanks for the heads-up, Mark. I have just uploaded a new version of the packages that should fix this issue.

avelldiroll (avelldiroll) wrote :

Hi there,

I just walk someone through the installation of this ppa, good work by the way, and a tiny problem rose up.

It seems that bitbucket changed its archive structure and that triggered a bug in /usr/share/r5u87x/r5u87x-download-firmware.sh

line 79:
cd r5u87x

should be changed to:
cd ahixon-r5u87x-a9b2171d762b

or adding a tiny bit of code in order to prevent this to happen again if bitbucket decide to change its archive structure again, here is a "diff -Nur r5u87x-download-firmware.sh.old r5u87x-download-firmware.sh":

###########################
--- r5u87x-download-firmware.sh.old 2011-04-07 19:50:30.360790179 +0200
+++ r5u87x-download-firmware.sh 2011-04-07 20:22:52.406547732 +0200
@@ -75,8 +75,9 @@
  exit 1
 fi
 ${DOWNLOADER} $URL 2>/dev/null || { echo "Failed downloading firmware from $URL" >&2; exit 1; }
+TARDIR=$(tar -tf ${REVISION}.gz | grep -o '^[^/]\+' | sort -u)
 tar xzf ${REVISION}.gz
-cd r5u87x
+cd ${TARDIR}

 # copy firmware
 echo "Installing..."
###########################

Have a nice day :)

Xavi Ivars (xavi-ivars) wrote :

Julien, you saved me a lot of time with your last comment.

Thank you very much!!!

David Jurenka (jurenka) wrote :

Many thanks for the heads-up, Julien. Fixed in version 0.2.1+r64+dfsg1-0ppa6.

Franck (alci) wrote :

I have a 05ca:18b5 Ricoh Co., Ltd webcam, on a Sony Vaio laptop, and used to need to install the package to make it work.
Under Natty, things seems to work out of the box.
So, is this tool slowly becoming obsolete, or am I missing something ?

David Jurenka (jurenka) wrote :

05ca:18b5 is not a supported model, and r5u87x does not interact with this camera whatsoever. Running “sudo r5u87x-loader” on your laptop should result just in an error saying “Failed to find any supported webcams”. It is therefore very unlikely that it was this package that used to make your camera work on previous Ubuntu releases.

I tried it with Ubuntu 12.04 on my Vaio VGN-FE48M: I checked that the camera is working properly by using the video option menù of Skype but the computer freezes after a few minutes of test. Here is the result of uname --all:
Linux VGN-FE48M 3.4.0-030400-i7 #201205210521 SMP Tue May 22 13:35:55 CEST 2012 x86_64 x86_64 x86_64 GNU/Linux

Jörg Frings-Fürst (jff-de) wrote :

last release 2009-11-25
change status to invalid

Changed in ubuntu:
status: In Progress → Invalid
Displaying first 40 and last 40 comments. View all 115 comments or add a comment.